Name:           perl-File-Flat
Version:        1.07
Release:        1%{?dist}
Summary:        Implements a flat filesystem
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-Flat/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/File-Flat-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Copy::Recursive) >= 0.35
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Remove) >= 0.38
BuildRequires:  perl(File::Spec) >= 0.85
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp) >= 0.17
BuildRequires:  perl(IO::File)
BuildRequires:  perl(prefork) >= 0.02
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::ClassAPI) >= 1.04
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(Cwd)
Requires:       perl(File::Copy)
Requires:       perl(File::Copy::Recursive) >= 0.35
Requires:       perl(File::Remove) >= 0.38
Requires:       perl(File::Spec) >= 0.85
Requires:       perl(File::Temp) >= 0.17
Requires:       perl(IO::File)
Requires:       perl(prefork) >= 0.02
Requires:       perl(strict)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(File::Flat)

%description
File::Flat implements a flat filesystem. A flat filesystem is a filesystem
in which directories do not exist. It provides an abstraction over any
normal filesystem which makes it appear as if directories do not exist. In
effect, it will automatically create directories as needed. This is create
for things like install scripts and such, as you never need to worry about
the existence of directories, just write to a file, no matter where it is.

%prep
%setup -q -n File-Flat-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Feb 17 2024 Trevor Batley <trevor@batley.id.au> 1.07-1
- Specfile autogenerated by cpanspec 1.78.
